Bug 193605 - Display problem when viewing Vino server output with Xinerama screens
Display problem when viewing Vino server output with Xinerama screens
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-05-30 18:18 EDT by Stewart Hardie
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stewart Hardie 2006-05-30 18:18:10 EDT
Description of problem:
I have set up two monitors connected to a Nvidia 6200AGP card. One monitor is
connected to VGA output, the other to DVI output. Using Livna 87.62 nvidia
drivers. Setup Xinerama configuration to 'on' to share the desktop across two
monitors. Set up xorg.conf as:

Section "ServerLayout"
Identifier "Multihead layout"
Screen 0 "Screen0" RightOf "Screen1"
Screen 1 "Screen1" 0 0
InputDevice "Mouse0" "CorePointer"
InputDevice "Keyboard0" "CoreKeyboard"
Option "Xinerama" "on"
Option "Clone" "off"

Each monitor displays 1280x960 (however this problem is also apparent at 800x600
for each monitor).

When using the Real VNC viewer (version 4.1.1) on a windows computer and
connecting to the Vino server output, I am presented with a VNC viewer desktop
of size 2560x960 as expected. However, the left side of the VNC viewer shows the
desktop displayed on the left linux monitor with a few block artifacts and the
right side of the viewer is black where it should be showing the contents of the
right linux monitor. Moving windows around on the left monitor causes 'tearing'
in the windows on the left side on the VNC viewer, and the VNC viewer window is
generally really sluggish and unresponsive.

These problems are also shown when using VNC viewer on the same FC5 computer and
looping the connection back to port 5900 (Vino server port).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enable xinerama in xorg.conf and extend desktop across two monitors.
2. Enable remote desktop under Gnome preferences menu. 
3. Start VNC viewer under Gnome Accessories menu or a VNC viewer on another
4. Scroll to the right side of the VNC viewer window.
Actual results:
The right side of the VNC viewer window is black.

Expected results:
The right side of the VNC viewer window should show the desktop of the right
linux computer monitor.

Additional info:
A bug report describing similar issues under vino-2.8.1-1 in FC3 is at:
Unsure whether it is exactly the same issue. However, this is a problem in FC5,
not FC3, and it was suggested to me on fedoraforum.org to file this as a new bug
for FC5.
Comment 1 Bug Zapper 2008-04-03 23:00:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:57:44 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.